package com.glxp.api.admin.dao.basic;

import com.glxp.api.admin.entity.basic.BussinessLocalTypeEntity;
import com.glxp.api.admin.req.basic.BussinessLocalTypeFilterRequest;
import com.glxp.api.admin.req.receipt.BussinessTypeFilterRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BussinessLocalTypeDao {
    BussinessLocalTypeEntity selectById(String id);

    List<BussinessLocalTypeEntity> filterList(BussinessLocalTypeFilterRequest bussinessTypeFilterRequest);

    List<BussinessLocalTypeEntity> filterUnBind(BussinessLocalTypeFilterRequest bussinessTypeFilterRequest);

    List<BussinessLocalTypeEntity> filterJoin(BussinessLocalTypeFilterRequest bussinessTypeFilterRequest);

    BussinessLocalTypeEntity findBTByAction(String action);

    BussinessLocalTypeEntity findBTByName(String name);

    boolean updateBusLocalType(BussinessLocalTypeEntity bussinessTypeEntity);

    boolean insertBussinessType(BussinessLocalTypeEntity bussinessTypeEntity);

    boolean deleteById(@Param("id") String id);
}
