package com.glxp.api.admin.dao.business;

import com.glxp.api.admin.entity.business.StockQRCodeTextEntity;
import com.glxp.api.admin.req.business.StockQRCodeTextFilterRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StockQRCodeTextDao {

    List<StockQRCodeTextEntity> filterStockQRCodeText(StockQRCodeTextFilterRequest stockQRCodeTextFilterRequest);

    boolean insertStockQRCodeText(StockQRCodeTextEntity stockQRCodeTextEntity);

    boolean insertStockQRCodeTexts(@Param("StockQRCodeTextEntities") List<StockQRCodeTextEntity> StockQRCodeTextEntitys);

    boolean updateById(StockQRCodeTextEntity stockQRCodeTextEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByOrderId(@Param("id") String id);

    StockQRCodeTextEntity findOne(@Param("id") String id);
}
