package com.glxp.api.admin.service.basic;

import com.glxp.api.admin.entity.basic.UdiInfoImportDetailEntity;
import com.glxp.api.admin.req.basic.FilterUdiIpLogRequest;
import com.glxp.api.admin.res.basic.UdiRelevanceExportJsonResponse;

import java.util.List;

public interface UdiInfoImportDetailService {


    List<UdiInfoImportDetailEntity> filterUdiInfoImport(FilterUdiIpLogRequest filterInCodeLogRequest);


    boolean insertUdiInfoImport(UdiInfoImportDetailEntity udiInfoImportEntity);

    boolean updateUdiInfoImport(UdiInfoImportDetailEntity udiInfoImportEntity);

    boolean insertUdiInfoImports(List<UdiInfoImportDetailEntity> udiInfoImportEntities);

    boolean deleteById(String id);

    boolean deleteByGenkey(String genKey);

    /**
     * 导入医疗器械信息
     *
     * @param udiRelevanceResponse
     */
    void importJsonData(UdiRelevanceExportJsonResponse udiRelevanceExportJsonResponse);

}
