package com.glxp.api.admin.service.inout;


import com.glxp.api.admin.entity.inout.IOOrderStatusEntity;
import com.glxp.api.admin.req.inout.OrderStatusFilterRequest;

import java.util.List;

public interface IOOrderStatusService {
    IOOrderStatusEntity findByOrderId(String orderId);

    List<IOOrderStatusEntity> filterOrderStatus(OrderStatusFilterRequest warehouseQueryRequest);

    boolean insertOrderStatus(IOOrderStatusEntity ioOrderStatusEntity);

    boolean deleteByOrderId(String orderId);

    boolean updateOrderStatus(IOOrderStatusEntity warehouseEntity);
}
