package com.glxp.api.admin.res.business;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.List;

/**
 * 已核对单据数据导出实体类
 */
@Data
public class StockOrderExportResponse {

    private String id;
    private String billNo;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String billdate;
    private String corpId;
    private String corpName;
    private String billType;
    private String locStorageCode;

    /**
     * 订单详情数据
     */
    private List<StockOrderDetailEntityVo> orderDetails;

}

